| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
IACFDefinition Interface Referenceabstract
Inheritance diagram for IACFDefinition:
[legend]
Collaboration diagram for IACFDefinition:
[legend]

## Description

Publicly inherits from IACFUnknown.This abstract interface is used to indentify all of the plug-in components in the host.

Remarks
  This interface is the base class for both plug-in and component definitions. All defined attributes are read only.

Note
  This interface does not provide any attribute enumeration. You must know the uid of the associated with the attribute that you need to find.
  This interface is implemented by the host. The plug-in will use this interface to define optional attributes for both plug-in and component implementations classes.

## Public Member Functions
virtual ACFRESULT ACFMETHODCALLTYPE | DefineAttribute (const acfUID &attributeID, const acfUID &typeID, const void *attrData, acfUInt32 attrDataSize)=0
| Add a read only attribute to the definition.
virtual ACFRESULT ACFMETHODCALLTYPE | GetAttributeInfo (const acfUID &attributeID, acfUID *typeID, acfUInt32 *attrDataSize)=0
| Returns information about the given attribute.
virtual ACFRESULT ACFMETHODCALLTYPE | CopyAttribute (const acfUID &attributeID, const acfUID &typeID, void *attrData, acfUInt32 attrDataSize)=0
| Copy the a given attribute.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ DefineAttribute()

virtual ACFRESULT ACFMETHODCALLTYPE IACFDefinition::DefineAttribute | ( | const acfUID & | attributeID,
|  | const acfUID & | typeID,
|  | const void * | attrData,
|  | acfUInt32 | attrDataSize
| ) |  |
| pure virtual

Add a read only attribute to the definition.

DefineAttribute

Remarks
  Use the method to define additional global attributes for you component. This method will fail if the attribute has already been defined.

Parameters

  attributeID | Unique identifier for attribute
  typeID | Indicates the type of the attribute data
  attrData | Pointer to buffer that contains the attribute data
  attrDataSize | Size of the attribute buffer

## ◆ GetAttributeInfo()

virtual ACFRESULT ACFMETHODCALLTYPE IACFDefinition::GetAttributeInfo | ( | const acfUID & | attributeID,
|  | acfUID * | typeID,
|  | acfUInt32 * | attrDataSize
| ) |  |
| pure virtual

Returns information about the given attribute.

Remarks
  Use this method to retrieve the type and size of a given attribute.

Parameters

  attributeID | Unique identifier for attribute
  typeID | Indicates the type of the attribute data
  attrDataSize | Size of the attribute data

## ◆ CopyAttribute()

virtual ACFRESULT ACFMETHODCALLTYPE IACFDefinition::CopyAttribute | ( | const acfUID & | attributeID,
|  | const acfUID & | typeID,
|  | void * | attrData,
|  | acfUInt32 | attrDataSize
| ) |  |
| pure virtual

Copy the a given attribute.

CopyAttribute

Remarks
  Use this method to access the contents of a given attribute.

Parameters

  attributeID | Unique identifier for attribute
  typeID | Indicates the type of the attribute data
  attrData | Pointer to buffer to copy the attribute data
  attrDataSize | Size of the attribute buffer

The documentation for this interface was generated from the following file:

- AAX_ACFInterface.doxygen